<!DOCTYPE html>
html
    include ../layouts/head
    body
        include ../layouts/header
        include tabs
        content
            <div class="container">
                <h1 class="content-title" id="js-content-title">Commits for <a href="#{resource.location}">#{resource.location}</a></h1>
                <div class="resource-commits">
                    <ul id="js-resource-commits" class="resource-commits-list">
                        - let i = 0, newDayList = true;
                        for commit in commits
                            - commit._moment = lib.moment(commit.time_committed)
                            - let commitURL = "/resources/"+resource.id+"/commits/"+commit.id
                            if (newDayList)
                                <li>
                                    <h3>Commits on #{commit._moment.format('MMM DD, YYYY')}</a></h3>
                                    <ul class="resource-commits-daylist">
                            <li class="resource-commit-item">
                                <div class="row">
                                    <div class="col-xs-8 col-sm-9">
                                        <h4><a href="#{commitURL}">Committed #{commit._moment.fromNow()}</a></h4>
                                        <div class="text-small">Filesize: #{(typeof commit.length == "number" ? lib.filesize(commit.length) : "N/A")}</div>
                                    </div>
                                    <nav class="col-xs-4 col-sm-3 resource-commit-actions">
                                        if (commits[i+1])
                                            .btn-group(role="group")
                                                - let diffURL = "/resources/"+resource.id+"/diff/"+commits[i+1].id+".."+commit.id
                                                <a href="#{diffURL}" class="btn btn-outline-primary btn-tease-commit">#{lib.teaseHash(commit.id)}</a>
                                                <a href="#{commitURL}" class="btn btn-outline-primary btn-raw-commit"><svg viewBox="0 0 14 14" version="1.1" width="14" height="14" aria-hidden="true"><path fill="currentColor" fill-rule="evenodd" d="M9.5 3L8 4.5 11.5 8 8 11.5 9.5 13 14 8 9.5 3zm-5 0L0 8l4.5 5L6 11.5 2.5 8 6 4.5 4.5 3z"></path></svg></a>
                                        else
                                            <a href="#{commitURL}" class="btn btn-outline-primary btn-raw-commit"><svg viewBox="0 0 14 14" version="1.1" width="14" height="14" aria-hidden="true"><path fill="currentColor" fill-rule="evenodd" d="M9.5 3L8 4.5 11.5 8 8 11.5 9.5 13 14 8 9.5 3zm-5 0L0 8l4.5 5L6 11.5 2.5 8 6 4.5 4.5 3z"></path></svg></a>
                                    </nav>
                                </div>
                            </li>
                            if (!commits[i+1] || commit.time_committed.slice(0,10) !== commits[(i+1)].time_committed.slice(0,10))
                                - newDayList = true;
                                </ul>
                                </li>
                            else
                                - newDayList = false;
                            - i+=1;
                    </ul>
                </div>
            </div>
